<<< Previous |  | Next >>>

# FcAtomicLock

## Name

FcAtomicLock -- lock a file

## Synopsis

    #include <fontconfig/fontconfig.h>

``FcBool `FcAtomicLock``(FcAtomic *`atomic`);`

## Description

Attempts to lock the file referenced by `atomic`. Returns FcFalse if the file is already locked, else returns FcTrue and leaves the file locked.

<<< Previous | Home | Next >>>
FcAtomicCreate | Up | FcAtomicNewFile